Main Page Packages Class Hierarchy Compound List File List Compound Members

# documenttypegetentitiestype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documenttypegetentitiestype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

Every node in the map returned by the "getEntities()" method implements the Entity interface.

Retrieve the Document Type for this document and create a NamedNodeMap of all its entities. Traverse the entire list and examine the NodeType of each node in the list.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1788794630

Definition at line 45 of file documenttypegetentitiestype.java.

## Constructor & Destructor Documentation

documenttypegetentitiestype::documenttypegetentitiestype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file documenttypegetentitiestype.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String documenttypegetentitiestype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 70 of file documenttypegetentitiestype.java.
    00070                                 {
    00071       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documenttypegetentitiestype";
    00072    }

void documenttypegetentitiestype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 73 of file documenttypegetentitiestype.java. References DOMTestCase::doMain().
    00073                                           {
    00074         DOMTestCase.doMain(documenttypegetentitiestype.class,args);
    00075    }

void documenttypegetentitiestype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file documenttypegetentitiestype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       DocumentType docType;
    00056       NamedNodeMap entityList;
    00057       Node entity;
    00058       int entityType;
    00059       doc = load("staff");
    00060       docType = doc.getDoctype();
    00061       entityList = docType.getEntities();
    00062       for(int _index = 0; _index < entityList.getLength();_index++) {
    00063       entity = ( Node ) entityList.item(_index);
    00064            entityType = (int)entity.getNodeType();
    00065       assertEquals("documenttypeGetEntitiesTypeAssert",6,entityType);
    00066
    00067         }
    00068
    00069    }

The documentation for this class was generated from the following file:

- documenttypegetentitiestype.java